Subject: Re: ETA for release of gjit 0.4?

From: Jonas Fonseca <[email-masked]>
Date: Wed, 14 Jan 2009 04:14:35 +0100

Robin Rosenberg <[email-masked]> wrote Tue, Dec 16, 2008:
> Jonas, could you help us on this:

Sorry for the long delay. I completely overlooked this. In case it is
still relevant ...

> [INFO] ------------------------------------------------------------------------                                                          
> [ERROR] BUILD ERROR                                                                                                                      
> [INFO] ------------------------------------------------------------------------                                                          
> [INFO] Error deploying artifact: Failed to transfer file: http://egit.googlecode.com/svn/maven/snapshot-repository//org/spearce/jgit/0.4.0/jgit-0.4.0.jar. Return code is: 401                                                                                                                                            
> 
> I added this (nah, naming it release-repository didn't work either)
> 
>         <repository>
>             <id>jgit-maven-release-repository</id>
>             <name>JGit Maven Release Repository</name>
>             <url>https://egit.googlecode.com/svn/maven/snapshot-repository/</url>
>             <uniqueVersion>true</uniqueVersion>
>         </repository>

This will end up mixing snapshots and releases ...
 
> (tried all combinations of dav/not-dav, http/https). Seems I don't have a dav provider, 
> but https should work, right?

Well, I don't know, but I would expect the "dav:" to be required. I used
the Google Maven Repository pom.xml[0] as a template, which should give
something like:

  <repository>
    <id>jgit-maven-repository</id>
    <name>JGit Maven Repository</name>
    <url>dav:https://egit.googlecode.com/svn/maven/repository/</url>
  </repository>

 [0] http://google-maven-repository.googlecode.com/svn/snapshot-repository/com/google/google/1-SNAPSHOT/google-1-20080826.150842-5.pom

> and to ~/.m2/settings.xml
> 
>   <servers>
>     <server>
>       <id>jgit-maven-snapshot-repository</id>
>       <username>tried both my project email and gmail email</username>
>       <password>nah, won't show you</password>
>     </server>
>   </servers>

Try:

  <servers>
    <server>
      <id>jgit-maven-repository</id>
      <username>robin.rosenberg</username>
      <password>Password from http://code.google.com/hosting/settings</password>
    </server>
  </servers>

Hope this helps.

-- 
Jonas Fonseca